--AH:ScriptId=b9316c0c-b04b-4e21-9d59-a06e04bc6270;479
IF OBJECT_ID('[ApiKeys_CreateOrUpdateApiKey]') IS NOT NULL
	DROP PROCEDURE [ApiKeys_CreateOrUpdateApiKey]
GO

IF OBJECT_ID('[ApiKeys_DeleteApiKey]') IS NOT NULL
	DROP PROCEDURE [ApiKeys_DeleteApiKey]
GO

DROP TABLE [ApiKeys]

ALTER TABLE [Feeds]
	ADD [APIKey_Text] NVARCHAR(100)

GO

UPDATE [Feeds]
   SET [APIKey_Text] = NULLIF((SELECT [Value_Text] FROM [Configuration] WHERE [Scope_Name] = 'WebApp' AND [Key_Name] = 'ApiKey'), '')

GO

DELETE [Configuration]
 WHERE [Scope_Name] = 'WebApp' AND [Key_Name] = 'ApiKey'