EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Security_GetRoles',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'Roles,RoleTasks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the roles in the system, along with all the tasks comprising each role'
GO

IF OBJECT_ID('[Security_GetRoles]') IS NOT NULL
	DROP PROCEDURE [Security_GetRoles]
GO

SET QUOTED_IDENTIFIER ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Security_GetRoles]
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [Roles]
	ORDER BY [Role_Name]

	SELECT *
	  FROM [RoleTasks_Extended]
	ORDER BY [Task_Name]

END
GO

GRANT EXECUTE ON [Security_GetRoles] TO [ProGetUser_Role]
GO
